﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;
using theTVDB.Interfaces;

namespace theTVDB.Xml
{
    [XmlRoot]
    public class Languages : IXmlCollectionWrapper<Language>
    {
        [XmlElement("Language")]
        public List<Language> InternalList { get; set; }
    }

    public class Language : ILanguage
    {
        [XmlElement("id")]
        public int ID { get; set; }
        [XmlElement("name")]
        public string Name { get; set; }
        [XmlElement("abbreviation")]
        public string Abbreviation { get; set; }
    }
}